/*******************************************************************************
 * FoxSocialCategoryEmblem generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSocialCategoryEmblem extends FoxSocialUICategoryBase within FoxSocialUI
    native(UI)
    config(UI);

var private FoxUIEmblemPanelWidget EmblemPanelWidget;
var transient ProfileEmblemInfo OriginalEmblemInfo;
var transient ProfileEmblemInfo CachedEmblemInfo;
var transient ProfileEmblemInfo SavedEmblemInfo;
var int RolledOverItemIndex;
var bool bListFocused;

function Initialize()
{
    local FoxPRI PRI;

    super.Initialize();
    PRI = FoxPRI(Outer.Outer.Outer.PCOwner.PlayerReplicationInfo);
    // End:0xD7
    if(PRI != none)
    {
        SavedEmblemInfo = PRI.CurrentEmblem;
        OriginalEmblemInfo = SavedEmblemInfo;
        CachedEmblemInfo = SavedEmblemInfo;
    }
    Outer.as_AddSocialButtonContainer("emblemTabs", 0, 105, -18, 800, 175, false);
    as_AddSocialHeader("EmblemLabel");
    as_PlaceSocialHorizLines("socialLine", 0, 24);
    Outer.Outer.Outer.Advance(0.0);
    SetupEmblemTab();
    //return;    
}

function Cleanup()
{
    NotifyClosing();
    // End:0x43
    if(EmblemPanelWidget != none)
    {
        EmblemPanelWidget.Cleanup();
        EmblemPanelWidget = none;
    }
    //return;    
}

function NotifyClosing()
{
    Cleanup();
    // End:0x10E
    if(OriginalEmblemInfo != SavedEmblemInfo)
    {
        Outer.Outer.Outer.PCOwner.SetEmblem(SavedEmblemInfo);
        Outer.Outer.Outer.PCOwner.RefreshLoadout();
        Outer.MarkProfileDirty();
    }
    //return;    
}

function SetupEmblemTab()
{
    local string ObjectPath;

    Outer.as_AddSocialButtonContainer("emblemPage", 0, 85, -18, 800, 175, false);
    ObjectPath = as_addEmblemPanel(0, 51);
    EmblemPanelWidget = FoxUIEmblemPanelWidget(Outer.Outer.Outer.GetVariableObject(ObjectPath, class'FoxUIEmblemPanelWidget'));
    // End:0x1E0
    if(EmblemPanelWidget != none)
    {
        EmblemPanelWidget.__OnClose__Delegate = ApplyEmblemToLoadout;
        EmblemPanelWidget.Initialize(Outer.Outer.Outer.PCOwner);
        EmblemPanelWidget.SetSelectedUnlocks(CachedEmblemInfo);
        EmblemPanelWidget.SetString("rolloverFunction", "ei_EmblemRolledOver");
    }
    as_PlaceSocialHorizLines("socialLine", 0, 550);
    //return;    
}

function as_clearSocialButtonPrompts()
{
    Outer.Outer.Outer.ActionScriptVoid("_root.clearSocialButtonPrompts");
    //return;    
}

function DisplayBetaEmblemInfo()
{
    as_AddGenericTextBox(0, 50, Outer.SocialLocalize("NoEmblemTextBETA"));
    //return;    
}

function ApplyEmblemToLoadout()
{
    // End:0x4A
    if(EmblemPanelWidget != none)
    {
        EmblemPanelWidget.GetSelectedUnlocks(CachedEmblemInfo);
        SavedEmblemInfo = CachedEmblemInfo;
    }
    //return;    
}

function ei_EmblemRolledOver(int Index)
{
    as_clearSocialButtonPrompts();
    RolledOverItemIndex = Index;
    // End:0x16B
    if(Index >= 0)
    {
        as_AddInventoryButtonContainer("EmblemRolloverSocialPrompts", 0, 555, 15, 800, 175, false);
        // End:0xDC
        if(EmblemPanelWidget.CanPurchaseItem(EmblemPanelWidget.EmblemList[Index].ItemGuid))
        {
            AddSocialButtonPrompt("Purchase_X");
        }
        // End:0x101
        else
        {
            AddSocialButtonPrompt("ContextMenuActionOpen_X");
        }
        AddSocialButtonPrompt("EmblemCycleLayerPrompt");
        // End:0x168
        if(!bListFocused)
        {
            bListFocused = true;
            EmblemPanelWidget.ei_selectEmblemEntry(Index);
        }
    }
    // End:0x177
    else
    {
        bListFocused = false;
    }
    //return;    
}

event ShowEmblemIcons()
{
    // End:0x43
    if(EmblemPanelWidget.CurrentSection != 0)
    {
        EmblemPanelWidget.SelectCurrentIconButton();
    }
    //return;    
}

event ShowEmblemColors()
{
    // End:0x43
    if(EmblemPanelWidget.CurrentSection != 1)
    {
        EmblemPanelWidget.SelectCurrentColorButton();
    }
    //return;    
}

event CycleEmblemLayer()
{
    EmblemPanelWidget.CycleCurrentEmblemLayer();
    //return;    
}

function string as_addEmblemPanel(int PosX, int PosY)
{
    return Outer.Outer.Outer.ActionScriptString("_root.addSocialEmblemPanel");
    //return ReturnValue;    
}

defaultproperties
{
    RolledOverItemIndex=-1
}